JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Thread::Listener Class Referenceabstract
juce_core » threads

Used to receive callbacks for thread exit calls. More...

`#include <juce_Thread.h>`

Inheritance diagram for Thread::Listener:

## Public Member Functions
virtual | ~Listener ()=default
virtual void | exitSignalSent ()=0
| Called if Thread::signalThreadShouldExit was called.

## Detailed Description

Used to receive callbacks for thread exit calls.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Thread::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ exitSignalSent()

virtual void Thread::Listener::exitSignalSent | ( |  | ) |
| pure virtual

Called if Thread::signalThreadShouldExit was called.

See also
  Thread::threadShouldExit, Thread::addListener, Thread::removeListener

The documentation for this class was generated from the following file:

- juce_Thread.h